summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2010-06-24 11:01:05 +0000
committerAndrew Manison <amanison@anselsystems.com>2010-06-24 11:01:05 +0000
commit00630fd78516f529daf3005c7defcd6baf4b95f9 (patch)
tree5c2e5d37c90464e39140d0869dccd15ee409a185 /testing
parentcd39cdcaac4bb080e939cd79288a3fa626528f7f (diff)
parentf80afdde72c0845edc2ce78b3f415cd692269fda (diff)
downloadaports-00630fd78516f529daf3005c7defcd6baf4b95f9.tar.bz2
aports-00630fd78516f529daf3005c7defcd6baf4b95f9.tar.xz
Merge remote branch 'alpine/master'
Diffstat (limited to 'testing')
-rw-r--r--testing/cairomm/APKBUILD26
-rw-r--r--testing/collectd/APKBUILD79
-rw-r--r--testing/gc/APKBUILD38
-rw-r--r--testing/gc/uclibc-getcontext.patch11
-rw-r--r--testing/glibmm/APKBUILD25
-rw-r--r--testing/gsl/APKBUILD25
-rw-r--r--testing/gtkmm/APKBUILD24
-rw-r--r--testing/inkscape/50-poppler-API.patch97
-rw-r--r--testing/inkscape/APKBUILD53
-rw-r--r--testing/kamailio/APKBUILD21
-rw-r--r--testing/kamailio/kamailio.cfg54
-rw-r--r--testing/lcms/APKBUILD31
-rw-r--r--testing/libowfat/APKBUILD33
-rw-r--r--testing/libsigc++/APKBUILD24
-rw-r--r--testing/libusb-compat/APKBUILD34
-rw-r--r--testing/lua-lgob/APKBUILD34
-rw-r--r--testing/opentracker/APKBUILD36
-rw-r--r--testing/opentracker/opentracker.initd38
-rw-r--r--testing/opentracker/opentracker.pre-install5
-rw-r--r--testing/pangomm/APKBUILD26
-rw-r--r--testing/py-xml/APKBUILD27
-rw-r--r--testing/py-xml/fix-python2.6.patch28
-rw-r--r--testing/sems/APKBUILD49
-rw-r--r--testing/sems/sems.conf352
-rw-r--r--testing/sems/sems.initd27
-rw-r--r--testing/sems/sems.post-install6
-rw-r--r--testing/sems/sems.pre-install5
-rw-r--r--testing/usb-modeswitch/APKBUILD53
28 files changed, 658 insertions, 603 deletions
diff --git a/testing/cairomm/APKBUILD b/testing/cairomm/APKBUILD
deleted file mode 100644
index 9942749e0..000000000
--- a/testing/cairomm/APKBUILD
+++ /dev/null
@@ -1,26 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=cairomm
-pkgver=1.8.4
-pkgrel=0
-pkgdesc="C++ bindings to Cairo vector graphics library"
-url="http://www.cairographics.org"
-license="LGPL MPL"
-depends=""
-makedepends="cairo-dev libsigc++-dev perl"
-depends_dev="$makedepends"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://www.cairographics.org/releases/cairomm-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="559afbc47484ba3fad265e38a3dafe90 cairomm-1.8.4.tar.gz"
diff --git a/testing/collectd/APKBUILD b/testing/collectd/APKBUILD
deleted file mode 100644
index 2905922a6..000000000
--- a/testing/collectd/APKBUILD
+++ /dev/null
@@ -1,79 +0,0 @@
-# Contributor:
-# Maintainer:
-pkgname=collectd
-pkgver=4.9.1
-pkgrel=2
-pkgdesc="The system statistics collection daemon"
-url="http://collectd.org"
-license="GPL"
-depends=
-makedepends="pkgconfig curl-dev net-snmp-dev postgresql-dev perl-dev
- libgcrypt-dev mysql-dev zlib-dev openssl-dev"
-install=
-subpackages="$pkgname-dev $pkgname-doc $pkgname-perl $pkgname-snmp $pkgname-curl
- $pkgname-write_http $pkgname-nginx $pkgname-apache $pkgname-postgresql
- $pkgname-mysql $pkgname-network"
-
-source="http://collectd.org/files/collectd-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
-
- # we need -lm
- sed -i -e 's/^collectd_LDADD = \(.*\)/collectd_LDADD = -lm \1/' \
- -e 's/^collectd_nagios_LDADD = \(.*\)/collectd_nagios_LDADD = -lm \1/' src/Makefile.in
-
- # disable -Werror
- sed -i -e 's/-Werror//' src/owniptc/Makefile.in
-
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install
-
- find "$pkgdir" -name perllocal.pod -delete
- # remove the 2 lines below (and this) if there is no init.d script
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
-}
-
-perl() {
- pkgdesc="perl bindings to collectd"
- depends="perl"
- install -d "$subpkgdir"/usr/lib/ "$subpkgdir"/usr/share
- mv "$pkgdir"/usr/lib/perl* "$subpkgdir"/usr/lib/
- mv "$pkgdir"/usr/share/perl* "$subpkgdir"/usr/share/
-}
-
-_plugin() {
- local mod=$1
- local desc=${2:-$mod}
- pkgdesc="$desc pluin for collectd"
- depends="collectd"
- install -d "$subpkgdir"/usr/lib/collectd
- mv "$pkgdir"/usr/lib/collectd/$mod.so "$subpkgdir"/usr/lib/collectd/
-}
-
-snmp() { _plugin snmp; }
-curl() { _plugin curl; }
-write_http() { _plugin write_http; }
-nginx() { _plugin nginx; }
-apache() { _plugin apache; }
-postgresql() { _plugin postgresql; }
-mysql() { _plugin mysql; }
-network() { _plugin network; }
-
-md5sums="5753496651c8c84afaea1fe290876bfc collectd-4.9.1.tar.bz2"
diff --git a/testing/gc/APKBUILD b/testing/gc/APKBUILD
deleted file mode 100644
index 065fba140..000000000
--- a/testing/gc/APKBUILD
+++ /dev/null
@@ -1,38 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=gc
-pkgver=7.1
-pkgrel=0
-pkgdesc="A garbage collector for C and C++"
-url="http://www.hpl.hp.com/personal/Hans_Boehm/gc/"
-license="GPL"
-depends=
-makedepends=
-subpackages="$pkgname-dev $pkgname-doc libgc++:libgccpp"
-source="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc-$pkgver.tar.gz
- uclibc-getcontext.patch"
-
-prepare() {
- cd "$srcdir"/$pkgname-$pkgver
- patch -p1 -i "$srcdir"/uclibc-getcontext.patch || return 1
-}
-
-build() {
- cd "$srcdir"/$pkgname-$pkgver
- ./configure --prefix=/usr \
- --datadir=/usr/share/doc/gc \
- --enable-cplusplus || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" install || return 1
-}
-
-libgccpp() {
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/libgccpp.* "$subpkgdir"/usr/lib/
-}
-
-md5sums="2ff9924c7249ef7f736ecfe6f08f3f9b gc-7.1.tar.gz
-bce75c75bf0cdb295ac0bf7ba0f6e267 uclibc-getcontext.patch"
diff --git a/testing/gc/uclibc-getcontext.patch b/testing/gc/uclibc-getcontext.patch
deleted file mode 100644
index de48fc018..000000000
--- a/testing/gc/uclibc-getcontext.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./mach_dep.c.orig
-+++ ./mach_dep.c
-@@ -175,7 +175,7 @@
- # if defined(HAVE_PUSH_REGS)
- GC_push_regs();
- # elif defined(UNIX_LIKE) && !defined(DARWIN) && !defined(ARM32) && \
-- !defined(HURD)
-+ !defined(HURD) && !defined(__UCLIBC__)
- /* Older versions of Darwin seem to lack getcontext(). */
- /* ARM Linux often doesn't support a real getcontext(). */
- ucontext_t ctxt;
diff --git a/testing/glibmm/APKBUILD b/testing/glibmm/APKBUILD
deleted file mode 100644
index e87bffa31..000000000
--- a/testing/glibmm/APKBUILD
+++ /dev/null
@@ -1,25 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=glibmm
-pkgver=2.24.2
-pkgrel=0
-pkgdesc="C++ wrapper for the GLib toolkit"
-url="http://gtkmm.sourceforge.net/"
-license="LGPL"
-depends=
-makedepends="glib-dev libsigc++-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-depends_dev="libsigc++-dev"
-source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/2.24/$pkgname-$pkgver.tar.bz2"
-
-build() {
- cd "$srcdir"/$pkgname-$pkgver
- ./configure --prefix=/usr || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" install
-}
-
-md5sums="48861fec006c2bd8e301d8e44cd12d3c glibmm-2.24.2.tar.bz2"
diff --git a/testing/gsl/APKBUILD b/testing/gsl/APKBUILD
deleted file mode 100644
index fd4ba6ff8..000000000
--- a/testing/gsl/APKBUILD
+++ /dev/null
@@ -1,25 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=gsl
-pkgver=1.14
-pkgrel=0
-pkgdesc="The GNU Scientific Library (GSL) is a modern numerical library for C and C++ programmers"
-url="http://www.gnu.org/software/gsl/gsl.html"
-license="GPL"
-depends=
-makedepends=
-install=
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.belnet.be/mirror/ftp.gnu.org/gnu/gsl/gsl-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-md5sums="d55e7b141815412a072a3f0e12442042 gsl-1.14.tar.gz"
diff --git a/testing/gtkmm/APKBUILD b/testing/gtkmm/APKBUILD
deleted file mode 100644
index 6268ca0a3..000000000
--- a/testing/gtkmm/APKBUILD
+++ /dev/null
@@ -1,24 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=gtkmm
-pkgver=2.20.3
-pkgrel=0
-pkgdesc="C++ wrappers for GTK+"
-url="http://gtkmm.sourceforge.net/"
-license="LGPL"
-depends=""
-makedepends="gtk+-dev intltool glibmm-dev pangomm-dev"
-depends_dev="atk-dev gtk+-dev glibmm-dev pangomm-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/2.20/$pkgname-$pkgver.tar.bz2"
-
-build() {
- cd "$srcdir"/gtkmm-$pkgver
- ./configure --prefix=/usr || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/gtkmm-$pkgver
- make install DESTDIR="$pkgdir"
-}
-md5sums="c35f236091b4f96fe45c53b4107400a9 gtkmm-2.20.3.tar.bz2"
diff --git a/testing/inkscape/50-poppler-API.patch b/testing/inkscape/50-poppler-API.patch
deleted file mode 100644
index b97969de1..000000000
--- a/testing/inkscape/50-poppler-API.patch
+++ /dev/null
@@ -1,97 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50-poppler-API.patch.dpatch by Kees Cook <kees@ubuntu.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: https://bugs.launchpad.net/inkscape/+bug/487038
-
-@DPATCH@
-diff -urNad inkscape~/src/extension/internal/pdfinput/pdf-parser.cpp inkscape/src/extension/internal/pdfinput/pdf-parser.cpp
---- inkscape~/src/extension/internal/pdfinput/pdf-parser.cpp 2009-10-10 12:17:47.000000000 -0700
-+++ inkscape/src/extension/internal/pdfinput/pdf-parser.cpp 2009-12-23 22:34:13.000000000 -0800
-@@ -809,7 +809,7 @@
- blendingColorSpace = NULL;
- isolated = knockout = gFalse;
- if (!obj4.dictLookup(const_cast<char*>("CS"), &obj5)->isNull()) {
-- blendingColorSpace = GfxColorSpace::parse(&obj5);
-+ blendingColorSpace = GfxColorSpace::parse(&obj5, NULL);
- }
- obj5.free();
- if (obj4.dictLookup(const_cast<char*>("I"), &obj5)->isBool()) {
-@@ -1009,9 +1009,9 @@
- state->setFillPattern(NULL);
- res->lookupColorSpace(args[0].getName(), &obj);
- if (obj.isNull()) {
-- colorSpace = GfxColorSpace::parse(&args[0]);
-+ colorSpace = GfxColorSpace::parse(&args[0], NULL);
- } else {
-- colorSpace = GfxColorSpace::parse(&obj);
-+ colorSpace = GfxColorSpace::parse(&obj, NULL);
- }
- obj.free();
- if (colorSpace) {
-@@ -1032,9 +1032,9 @@
- state->setStrokePattern(NULL);
- res->lookupColorSpace(args[0].getName(), &obj);
- if (obj.isNull()) {
-- colorSpace = GfxColorSpace::parse(&args[0]);
-+ colorSpace = GfxColorSpace::parse(&args[0], NULL);
- } else {
-- colorSpace = GfxColorSpace::parse(&obj);
-+ colorSpace = GfxColorSpace::parse(&obj, NULL);
- }
- obj.free();
- if (colorSpace) {
-@@ -1101,7 +1101,7 @@
- builder->updateStyle(state);
- }
- if (args[numArgs-1].isName() &&
-- (pattern = res->lookupPattern(args[numArgs-1].getName()))) {
-+ (pattern = res->lookupPattern(args[numArgs-1].getName(), NULL))) {
- state->setFillPattern(pattern);
- builder->updateStyle(state);
- }
-@@ -1145,7 +1145,7 @@
- builder->updateStyle(state);
- }
- if (args[numArgs-1].isName() &&
-- (pattern = res->lookupPattern(args[numArgs-1].getName()))) {
-+ (pattern = res->lookupPattern(args[numArgs-1].getName(), NULL))) {
- state->setStrokePattern(pattern);
- builder->updateStyle(state);
- }
-@@ -1543,7 +1543,7 @@
- double *matrix = NULL;
- GBool savedState = gFalse;
-
-- if (!(shading = res->lookupShading(args[0].getName()))) {
-+ if (!(shading = res->lookupShading(args[0].getName(), NULL))) {
- return;
- }
-
-@@ -2507,7 +2507,7 @@
- }
- }
- if (!obj1.isNull()) {
-- colorSpace = GfxColorSpace::parse(&obj1);
-+ colorSpace = GfxColorSpace::parse(&obj1, NULL);
- } else if (csMode == streamCSDeviceGray) {
- colorSpace = new GfxDeviceGrayColorSpace();
- } else if (csMode == streamCSDeviceRGB) {
-@@ -2592,7 +2592,7 @@
- obj2.free();
- }
- }
-- maskColorSpace = GfxColorSpace::parse(&obj1);
-+ maskColorSpace = GfxColorSpace::parse(&obj1, NULL);
- obj1.free();
- if (!maskColorSpace || maskColorSpace->getMode() != csDeviceGray) {
- goto err1;
-@@ -2767,7 +2767,7 @@
- if (obj1.dictLookup(const_cast<char*>("S"), &obj2)->isName(const_cast<char*>("Transparency"))) {
- transpGroup = gTrue;
- if (!obj1.dictLookup(const_cast<char*>("CS"), &obj3)->isNull()) {
-- blendingColorSpace = GfxColorSpace::parse(&obj3);
-+ blendingColorSpace = GfxColorSpace::parse(&obj3, NULL);
- }
- obj3.free();
- if (obj1.dictLookup(const_cast<char*>("I"), &obj3)->isBool()) {
diff --git a/testing/inkscape/APKBUILD b/testing/inkscape/APKBUILD
deleted file mode 100644
index d8c5f2452..000000000
--- a/testing/inkscape/APKBUILD
+++ /dev/null
@@ -1,53 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=inkscape
-pkgver=0.47
-pkgrel=1
-pkgdesc="A vector-based drawing program - svg compliant"
-url="http://inkscape.sourceforge.net/"
-license="GPL LGPL"
-makedepends="
-poppler-gtk-dev
-imagemagick-dev
-gtkspell-dev
-gc-dev
-gtkmm-dev
-libxslt-dev
-gsl-dev
-py-xml
-popt-dev
-lcms-dev
-libxml2-dev
-boost-dev
-"
-depends="desktop-file-utils"
-install=
-source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz
- 50-poppler-API.patch"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
- patch -p1 -i "$srcdir"/50-poppler-API.patch || return 1
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --with-python \
- --with-perl \
- --without-gnome-vfs \
- --with-xft \
- --enable-lcms \
- --enable-poppler-cairo \
- --disable-dependency-tracking \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-md5sums="916c85b501bcfb0ae61fcf7318f36348 inkscape-0.47.tar.gz
-b447272c9b282b49e86dca24c2581065 50-poppler-API.patch"
diff --git a/testing/kamailio/APKBUILD b/testing/kamailio/APKBUILD
index 2f8007ee2..db7af6dac 100644
--- a/testing/kamailio/APKBUILD
+++ b/testing/kamailio/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=kamailio
pkgver=3.0.2
-pkgrel=1
+pkgrel=3
pkgdesc="Open Source SIP Server"
url="http://www.kamailio.org/"
pkgusers="kamailio"
@@ -12,7 +12,7 @@ depends=
makedepends="bison flex expat-dev postgresql-dev pcre-dev
libxml2-dev curl-dev unixodbc-dev confuse-dev"
install=
-subpackages="$pkgname-doc $pkgname-postgres
+subpackages="$pkgname-doc $pkgname-postgres $pkgname-presence
$pkgname-mediaproxy $pkgname-unixodbc"
source="http://www.kamailio.org/pub/kamailio/$pkgver/src/kamailio-${pkgver}_src.tar.gz
kamailio.cfg
@@ -23,7 +23,12 @@ source="http://www.kamailio.org/pub/kamailio/$pkgver/src/kamailio-${pkgver}_src.
"
_builddir="$srcdir"/$pkgname-$pkgver
-_modules="db_postgres mediaproxy db_unixodbc carrierroute xmlrpc"
+# Makefile does not handle newline
+_presence="presence presence_xml presence_mwi pua pua_bla pua_mi pua_usrloc pua_xmpp rls xcap_client presence_dialoginfo pua_dialoginfo"
+
+_modules="db_postgres mediaproxy db_unixodbc carrierroute xmlrpc tm $_presence"
+
+
prepare() {
cd "$_builddir"
patch -p1 -i "$srcdir"/kamailio-3-backslash.patch || return 1
@@ -55,7 +60,6 @@ build() {
cfg_target=/etc/kamailio/ \
MODS_MYSQL=yes \
MODS_PCRE=yes \
- MODS_PRESENCE=yes \
MODS_RADIUS= \
TLS= \
include_modules="$_modules" \
@@ -68,7 +72,6 @@ package() {
cfg_target=/etc/kamailio/ \
MODS_MYSQL=yes \
MODS_PCRE=yes \
- MODS_PRESENCE=yes \
MODS_RADIUS= \
TLS= \
include_modules="$_modules" \
@@ -128,10 +131,8 @@ pcre() {
}
presence() {
- pkgdesc="Precense support for kamailio"
- _mv_mod presence presence_xml presence_mwi pua pua_bla pua_mi \
- pua_usrloc pua_xmpp rls xcap_client presence_dialoginfo \
- pua_dialoginfo
+ pkgdesc="Presence support for kamailio"
+ _mv_mod_k $_presence
}
mediaproxy() {
@@ -147,7 +148,7 @@ unixodbc() {
}
md5sums="dd039e078a77032a423fb15f9685ad31 kamailio-3.0.2_src.tar.gz
-865979ca14a727e99e0de5ca2426603f kamailio.cfg
+a3c959ec568c43a905710e7d25cd8c25 kamailio.cfg
81100c479890a2a8c2628db22fdd1a0c kamailio.initd
c646af2dd31f5c4289a2f802c873d98f kamailio.pre-install
3fbaf633ff1620d0d526fc4047c7bed9 kamailio.post-install
diff --git a/testing/kamailio/kamailio.cfg b/testing/kamailio/kamailio.cfg
index 5a45cfdbb..1558cce9c 100644
--- a/testing/kamailio/kamailio.cfg
+++ b/testing/kamailio/kamailio.cfg
@@ -1,13 +1,14 @@
-# Demonstration Kamailio Configuration for AlpineLinux
-
+# Sample Kamailio Configuration
+# 23 June 2010 - For Alpine Linux
+# Accepts all registrations; routes calls to any registered AOR
#--------------------------------------------------------
# Section 1: Global Definitions
#--------------------------------------------------------
-debug = 3
+debug = 2
fork = yes
log_stderror = no
-listen = 0.0.0.0
+# listen = 0.0.0.0
port = 5060
children = 4
@@ -15,20 +16,24 @@ dns = no
rev_dns = no
mpath = "/usr/lib/kamailio/modules_k/:/usr/lib/kamailio/modules/"
+
#--------------------------------------------------------
# Section 2: Modules
#--------------------------------------------------------
-loadmodule "sl.so"
loadmodule "tm.so"
+loadmodule "sl.so"
+loadmodule "tmx.so"
loadmodule "rr.so"
loadmodule "maxfwd.so"
loadmodule "usrloc.so"
loadmodule "registrar.so"
loadmodule "mi_fifo.so"
+loadmodule "pv.so"
+loadmodule "xlog.so"
#--------------------------------------------------------
-# Section 1: Module Configuration
+# Section 3: Module Configuration
#--------------------------------------------------------
modparam ( "usrloc", "db_mode", 0 )
@@ -36,26 +41,30 @@ modparam ( "rr", "enable_full_lr", 1 )
modparam ( "mi_fifo", "fifo_name", "/tmp/kamailio_fifo")
#--------------------------------------------------------
-# Section 1: Main Route Block
+# Section 4: Main Route Block
#--------------------------------------------------------
route
- {
+ {
+ # Uncomment next line if you want to see
+ # each incoming message
+ xlog( "L_INFO", "$rm: $fu -> $ru" );
+
if (!mf_process_maxfwd_header("10"))
{
sl_send_reply("483", "Too Many Hops");
return;
}
-
- if (msg:len > max_len)
+
+ if (msg:len > 4096)
{
- sl_send_reply("513", "Message Overflow");
+ sl_send_reply("513", "Message too big" );
return;
}
if (method == "REGISTER" )
{
- route(2);
+ route(REGISTER);
return;
}
@@ -66,42 +75,33 @@ route
return;
}
- route(1);
+ route(RELAY);
}
#--------------------------------------------------------
-# Section 1: Secondary Route Blocks
+# Section 5: Secondary Route Blocks
#--------------------------------------------------------
# - Default message handler
-route[1] {
+route[RELAY] {
if (!t_relay()) {
sl_reply_error();
}
}
#- Registration Request
-route[2] {
+route[REGISTER] {
if (!save("location")) {
sl_reply_error();
}
}
#--------------------------------------------------------
-# Section 1: Reply Route Block
+# Section 6: Reply Route Block
#--------------------------------------------------------
#--------------------------------------------------------
-# Section 1: Failure Route Block
+# Section 7: Failure Route Block
#--------------------------------------------------------
-
-
-
-
-
-
-
-
-
diff --git a/testing/lcms/APKBUILD b/testing/lcms/APKBUILD
deleted file mode 100644
index 7d3d4ca99..000000000
--- a/testing/lcms/APKBUILD
+++ /dev/null
@@ -1,31 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=lcms
-pkgver=1.19
-pkgrel=0
-pkgdesc="Lightweight color management development library/engine"
-url="http://www.littlecms.com"
-license="custom"
-depends=
-makedepends="tiff-dev jpeg-dev zlib-dev"
-subpackages="$pkgname-dev $pkgname-doc liblcms"
-source="http://downloads.sourceforge.net/project/lcms/lcms/$pkgver/lcms-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- install -Dm 644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
-}
-
-liblcms() {
- mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/liblcms.so.* "$subpkgdir"/usr/lib/
-}
-
-md5sums="8af94611baf20d9646c7c2c285859818 lcms-1.19.tar.gz"
diff --git a/testing/libowfat/APKBUILD b/testing/libowfat/APKBUILD
new file mode 100644
index 000000000..8e3ee0eca
--- /dev/null
+++ b/testing/libowfat/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libowfat
+pkgver=0.28
+pkgrel=0
+pkgdesc="reimplementation of libdjb"
+url="http://www.fefe.de/libowfat/"
+license="GPL"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://dl.fefe.de/libowfat-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make prefix="$pkgdir"/usr MAN3DIR="$pkgdir"/usr/share/man/man3 install
+ # buffer manpage conflicts with openssl
+ mv "$pkgdir"/usr/share/man/man3/buffer.3 \
+ "$pkgdir"/usr/share/man/man3/owfatbuffer.3
+}
+
+md5sums="6bbee9a86506419657d87123b7a6f2c1 libowfat-0.28.tar.bz2"
diff --git a/testing/libsigc++/APKBUILD b/testing/libsigc++/APKBUILD
deleted file mode 100644
index 0329b63ae..000000000
--- a/testing/libsigc++/APKBUILD
+++ /dev/null
@@ -1,24 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=libsigc++
-pkgver=2.2.8
-pkgrel=0
-pkgdesc="type-safe Signal Framework for C++"
-url="http://libsigc.sourceforge.net/"
-license="LGPL"
-depends=
-makedepends="m4 perl"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/2.2/$pkgname-$pkgver.tar.bz2"
-
-build() {
- cd ""$srcdir"/$pkgname-$pkgver"
- ./configure --prefix=/usr || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" install
-}
-
-md5sums="1198425eab9fd605721a278c651b8dd8 libsigc++-2.2.8.tar.bz2"
diff --git a/testing/libusb-compat/APKBUILD b/testing/libusb-compat/APKBUILD
new file mode 100644
index 000000000..d36933b66
--- /dev/null
+++ b/testing/libusb-compat/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=libusb-compat
+pkgver=0.1.3
+pkgrel=0
+pkgdesc="Compatibility library for use by user level applications to access USB devices regardless of OS"
+url="http://www.libusb.org/"
+license="LGPL v2.1"
+depends=
+makedepends="libusb-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/project/libusb/libusb-compat-0.1/$pkgname-$pkgver/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="570ac2ea085b80d1f74ddc7c6a93c0eb libusb-compat-0.1.3.tar.bz2"
diff --git a/testing/lua-lgob/APKBUILD b/testing/lua-lgob/APKBUILD
deleted file mode 100644
index 17a38eaa3..000000000
--- a/testing/lua-lgob/APKBUILD
+++ /dev/null
@@ -1,34 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=lua-lgob
-pkgver=10.05
-pkgrel=0
-pkgdesc="Set of Lua bindings that uses gobject-instrospection"
-url="http://oproj.tuxfamily.org"
-license="LGPL"
-depends="lua"
-makedepends="lua-dev cairo-dev gtk+-dev pango-dev vte-dev gtkspell-dev
- webkit-dev atk-dev gstreamer-dev gst-plugins-base-dev poppler-gtk-dev
- gtksourceview-dev"
-subpackages="$pkgname-dev"
-source="http://downloads.tuxfamily.org/oproj/lgob/lgob-$pkgver.tar.bz2"
-
-# 'codegen', 'common', 'gobject', 'loader', 'cairo', 'gdk', 'gtk',
-# 'pango', 'pangocairo', 'vte', 'webkit', 'atk', 'gstreamer', 'gtkspell',
-# 'gtksourceview', 'goocanvas', 'poppler', 'clutter', 'cluttergtk'
-_mods="codegen common gobject loader cairo gdk gtk pango pangocairo vte webkit
- atk gstreamer gtkspell gtksourceview poppler"
-build() {
- cd "$srcdir"/lgob-$pkgver
-}
-
-package() {
- cd "$srcdir"/lgob-$pkgver
- for i in $_mods; do
- cd $i
- make DESTDIR="$pkgdir"/usr \
- && make DESTDIR="$pkgdir"/usr install|| return 1
- cd ..
- done
-}
-
-md5sums="ac3eb632d53c8c3d181b317482bacff7 lgob-10.05.tar.bz2"
diff --git a/testing/opentracker/APKBUILD b/testing/opentracker/APKBUILD
new file mode 100644
index 000000000..642b0d0b5
--- /dev/null
+++ b/testing/opentracker/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor:
+# Maintainer:
+pkgname=opentracker
+pkgver=0_cvs20100625
+pkgrel=0
+pkgdesc="an open and free bittorrent tracker"
+url="http://erdgeist.org/arts/software/opentracker/"
+license="GPL"
+depends=
+makedepends="libowfat-dev"
+install="$pkgname.pre-install"
+subpackages=
+source="http://dev.alpinelinux.org/opentracker/opentracker-$pkgver.tar.gz
+ opentracker.initd"
+
+_builddir="$srcdir"/$pkgname
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -d "$pkgdir"/usr/bin
+ make BINDIR="$pkgdir"/usr/bin install || return 1
+ install -m644 -D opentracker.conf.sample \
+ "$pkgdir"/etc/opentracker/opentracker.conf
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+}
+
+md5sums="8d02a6f7a241c6b8c98e2dbde086cfcf opentracker-0_cvs20100625.tar.gz
+1e1e687e78959833463ceb55101a3173 opentracker.initd"
diff --git a/testing/opentracker/opentracker.initd b/testing/opentracker/opentracker.initd
new file mode 100644
index 000000000..33d281778
--- /dev/null
+++ b/testing/opentracker/opentracker.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+
+# Sample init.d file for alpine linux.
+
+name=opentracker
+daemon=/usr/bin/$name
+conf=${opentracker_conf:-/etc/opentracker/opentracker.conf}
+pidfile=/var/run/opentracker.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ start-stop-daemon --start --quiet \
+ --make-pidfile \
+ --pidfile ${pidfile} \
+ --background \
+ --stdout /dev/null \
+ --stderr /dev/null \
+ --exec ${daemon} \
+ -- \
+ -d /var/empty \
+ -f $conf \
+ -u ${opentracker_user:-opentracker} \
+ ${opentracker_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet --pidfile ${pidfile} \
+ --exec ${daemon}
+ eend $?
+}
+
diff --git a/testing/opentracker/opentracker.pre-install b/testing/opentracker/opentracker.pre-install
new file mode 100644
index 000000000..942fcd670
--- /dev/null
+++ b/testing/opentracker/opentracker.pre-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+adduser -D -S -h /var/empty -s /sbin/false opentracker 2>/dev/null
+exit 0
+
diff --git a/testing/pangomm/APKBUILD b/testing/pangomm/APKBUILD
deleted file mode 100644
index e4ff082e4..000000000
--- a/testing/pangomm/APKBUILD
+++ /dev/null
@@ -1,26 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=pangomm
-pkgver=2.26.2
-pkgrel=0
-pkgdesc="C++ bindings for pango"
-url="http://gtkmm.sourceforge.net/"
-license="LGPL"
-depends=""
-makedepends="pango-dev glibmm-dev cairomm-dev"
-depends_dev="$makedepends"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.gnome.org/pub/GNOME/sources/pangomm/2.26/pangomm-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
- cd "$srcdir/$pkgname-$pkgver"
- ./configure --prefix=/usr || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="b363b09faf884db8bf8d1458d719ff00 pangomm-2.26.2.tar.bz2"
diff --git a/testing/py-xml/APKBUILD b/testing/py-xml/APKBUILD
deleted file mode 100644
index 1dd549da0..000000000
--- a/testing/py-xml/APKBUILD
+++ /dev/null
@@ -1,27 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=py-xml
-pkgver=0.8.4
-pkgrel=0
-pkgdesc="Python XML parsing library."
-url="http://pyxml.sourceforge.net/"
-license="custom"
-depends=
-makedepends="python-dev"
-source="http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-$pkgver.tar.gz
- fix-python2.6.patch"
-
-_builddir="$srcdir"/PyXML-$pkgver
-build() {
- cd "$_builddir"
- patch -Np1 -i "$srcdir/fix-python2.6.patch" || return 1
- python setup.py build || return 1
-}
-
-package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
- install -D -m644 LICENCE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
-}
-
-md5sums="1f7655050cebbb664db976405fdba209 PyXML-0.8.4.tar.gz
-4b652e0c866e3cca7e2386e8e383d5ba fix-python2.6.patch"
diff --git a/testing/py-xml/fix-python2.6.patch b/testing/py-xml/fix-python2.6.patch
deleted file mode 100644
index 7bf1c46fc..000000000
--- a/testing/py-xml/fix-python2.6.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-diff -ur a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py
---- a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py 2003-03-11 15:01:34.000000000 +0100
-+++ b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py 2009-05-25 16:32:26.000000000 +0200
-@@ -24,8 +24,8 @@
- self._rel = rel
- nt = ParsedNodeTest.ParsedNodeTest('node', '')
- ppl = ParsedPredicateList.ParsedPredicateList([])
-- as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
-- self._step = ParsedStep.ParsedStep(as, nt, ppl)
-+ asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
-+ self._step = ParsedStep.ParsedStep(asp, nt, ppl)
- return
-
- def evaluate(self, context):
-diff -ur a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py
---- a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py 2003-03-11 15:01:34.000000000 +0100
-+++ b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py 2009-05-25 16:27:55.000000000 +0200
-@@ -28,8 +28,8 @@
- self._right = right
- nt = ParsedNodeTest.ParsedNodeTest('node','')
- ppl = ParsedPredicateList.ParsedPredicateList([])
-- as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
-- self._middle = ParsedStep.ParsedStep(as, nt, ppl)
-+ asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
-+ self._middle = ParsedStep.ParsedStep(asp, nt, ppl)
-
- def evaluate(self, context):
- res = []
diff --git a/testing/sems/APKBUILD b/testing/sems/APKBUILD
index 2f1e6ee05..9d16fc833 100644
--- a/testing/sems/APKBUILD
+++ b/testing/sems/APKBUILD
@@ -6,12 +6,12 @@ pkgrel=0
pkgdesc="High performance, extensible media server for SIP (RFC3261) based VoIP services"
url="http://iptel.org/sems/"
license="GPL-2"
-depends="kamailio"
-makedepends="python-dev openssl-dev lame-dev"
-install=
-subpackages=
+install="$pkgname.pre-install $pkgname.post-install"
+makedepends="python-dev openssl-dev cmake bash"
source="http://ftp.iptel.org/pub/sems/sems-$pkgver.tar.gz
0003-cc-and-cflags.patch
+ sems.conf
+ sems.initd
"
prepare() {
@@ -22,37 +22,50 @@ prepare() {
patch -p1 -i $i || return 1
done
- sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
- -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
+ sed -i -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
+ -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
Makefile.defs \
|| return 1
+
+ # Patch for fixin unistd.h
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmArg.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmMediaProcessor.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/AmRtpReceiver.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/plug-in/sipctrl/udp_trsp.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' core/plug-in/stats/query_stats.cxx
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/annrecorder/AnnRecorder.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/callback/CallBack.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/diameter_client/ServerConnection.cpp
+ sed -i -e 's:\*\/:\n*\/\n#include <unistd.h>:' apps/dsm/mods/mod_sys/ModSys.cpp
}
build() {
cd "$srcdir"/$pkgname-$pkgver
- make PREFIX=/usr \
- cfg-dir=/etc/sems/ \
- CC="$CC" CXX="$CXX" \
- exclude_modules+="ivr examples py_sems speex gateway echo g722" \
+ make PREFIX=/usr \
+ cfg-target=/etc/sems/ \
+ exclude_modules+="ivr examples py_sems speex gateway mp3 echo g722" \
WITH_MPG123DECODER=no \
- || return 1
+ all || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
- make PREFIX=/usr \
- cfg-dir=/etc/sems/ \
- exclude_modules+="ivr examples py_sems speex gateway echo g722" \
+
+ make PREFIX=/usr \
DESTDIR="$pkgdir" \
+ cfg-target=/etc/sems/ \
+ cfg-prefix="$pkgdir" \
+ exclude_modules+="ivr examples py_sems speex gateway mp3 echo g722" \
WITH_MPG123DECODER=no \
install || return 1
- # remove the 2 lines below (and this) if there is no init.d script
-# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-# install -m644 -D "$srcdir"//$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/sems/$pkgname.conf
}
md5sums="f0545c0708849e1a723d453244c2a79e sems-1.2.1.tar.gz
-0054e6ed7e11393e71204876179d3199 0003-cc-and-cflags.patch"
+0054e6ed7e11393e71204876179d3199 0003-cc-and-cflags.patch
+8b74528c8605b7adb01a0133fcd0c247 sems.conf
+2e738c6402eb1fbceb279cf050a9090f sems.initd"
diff --git a/testing/sems/sems.conf b/testing/sems/sems.conf
new file mode 100644
index 000000000..5e0ba4935
--- /dev/null
+++ b/testing/sems/sems.conf
@@ -0,0 +1,352 @@
+# $Id: sems.conf.sample 1541 2009-10-14 12:00:58Z sayer $
+#
+# sems.conf.sample
+#
+# Sip Express Media Server (sems)
+#
+# sample configuration file
+#
+#
+# whitespaces (spaces and tabs) are ignored
+# comments start with a "#" and may be used inline
+#
+# example: option=value # i like this option
+#
+# @filename includes mod_config_path/filename
+# @/absolute/path/to/file includes file
+
+############################################################
+# Network configuration
+
+# optional parameter: media_ip=<ip_address>|<device>
+#
+# - this informs SEMS about the IP address or interface that
+# SEMS uses to send and receive media. If not set, defaults
+# to first non-loopback interface.
+#
+# Examples:
+# media_ip=10.0.0.34
+# media_ip=eth0
+
+# optional parameter: sip_ip=<ip_address>
+#
+# - this informs SEMS about the SIP IP where its SIP stack is
+# bound to or should be bound to. If 'sipctrl' SIP stack is used,
+# the SIP stack will bind to this address. This also sets
+# the value used for contact header in outgoing calls and
+# registrations. If not set, defaults to first non-loopback
+# interface.
+#
+# Example:
+# sip_ip=10.0.0.34
+#
+
+# optional parameter: public_ip=<ip_address>
+#
+# - when running SEMS behind certain simple NAT configurations,
+# you can use this parameter to inform SEMS of its public IP
+# address. If this parameter is set, SEMS will write this value
+# into SDP bodies.
+# If this parameter is not set, the local IP address is used.
+# N.B., there is no support for port translation; the local
+# RTP port is advertised in SDP in either case.
+#
+# Example:
+# public_ip=75.101.219.48
+#
+
+# optional parameter: sip_port=<port_number>
+#
+# - this informs SEMS about the port where its SIP stack is
+# bound to or should be bound to. SEMS needs this information
+# to correctly set the contact header in outgoing calls
+# and registrations. Should be set to equal the 'port'
+# configuration option in ser_sems.cfg.
+# This does not need to be set if sipctrl SIP stack, outgoing
+# calls and registrations from SEMS are not used.
+#
+# default: 5060
+#
+sip_port=5080
+
+# optional parameter: outbound_proxy=uri
+#
+# - this sets a next hop for calls and registrations outgoing
+# from SEMS. This does not apply to requests in a dialog that
+# is initiated by someone else and incoming to SEMS, as in
+# this case the next_hop is taken by SEMS from the incoming
+# request that established the dialog.
+# If this is not set (default setting), then for dialogs
+# initiated by SEMS the r-uri is resolved and the request
+# is sent there directly.
+# This is resolved by the SIP stack with DNS if a name is given.
+# Warning: If the value set here can not be resolved, no
+# requests will be sent out at all!
+#
+# default: empty
+#
+# Example:
+# outbound_proxy=sip:proxy.mydomain.net
+
+# optional parameter: rtp_low_port=<port>
+#
+# - sets lowest for RTP used port
+rtp_low_port=10000
+
+# optional parameter: rtp_high_port=<port>
+#
+# - sets highest for RTP used port
+rtp_high_port=60000
+
+############################################################
+# modules and application configuration
+#
+# Configuration of plugin (module) loading:
+# - if load_plugins is set, only those are loaded.
+# - if load_plugins is not set, all modules in the plugin_path
+# directory are loaded, except those which are listed
+# in exclude_plugins.
+#
+
+# optional parameter: plugin_path=<path>
+#
+# - sets the path to the plug-ins' binaries
+# - may be absolute or relative to CWD
+plugin_path=/usr/lib/sems/plug-in/
+
+# optional parameter: load_plugins=<modules list>
+#
+# semicolon-separated list of modules to load.
+# If empty, all modules in plugin_path are loaded.
+# One of [sipctrl,unixsockctrl,binrpcctrl] must be loaded.
+#
+# example for announcement with only g711 and ilbc codecs
+# load_plugins=wav;ilbc;announcement;sipctrl
+
+# optional parameter: exclude_plugins=<modules list>
+#
+# semicolon-separated list of modules to exclude from loading
+# ('blacklist'). If empty, all modules in plugin_path are loaded.
+# This has only effect it load_plugins is not set.
+#
+# o binrpcctrl and unixsockctrl: excluded as sipctrl is default ctrl
+# o precoded_announce: no precoded sample files present
+exclude_plugins=binrpcctrl;unixsockctrl;precoded_announce
+
+# optional parameter: application
+#
+# This controls which application is to be executed if there
+# is no explicit application requested from the SIP stack
+# (i.e. unixsockctrl and second parameter of t_write_unix).
+#
+# This can be one of
+# $(ruri.user) - user part of ruri is taken as application,
+# e.g. sip:announcement@host
+# $(ruri.param) - uri parameter "app", e.g.
+# sip:joe@host.net;app=announcement
+# $(apphdr) - the value of the P-App-Name header is used
+#
+# $(mapping) - regex=>application mapping is read from
+# app_mapping.conf (see app_mapping.conf)
+# <application name> - application name configured here, e.g.
+# application=announcement
+#
+# examples:
+# application = conference
+# application = $(mapping)
+# application = $(ruri.user)
+# application = $(ruri.param)
+application = $(apphdr)
+
+# parameter: plugin_config_path=<path>
+#
+# - in this path configuration files of the applications
+# (e.g. announcement.conf) are searched
+plugin_config_path=/etc/sems/etc/
+
+# optional parameter: exclude_payloads=<payload list>
+#
+# semicolon-separated list of payloads to exclude from loading
+# ('blacklist').
+#
+# For example, to only use low bandwidth codecs:
+# exclude_payloads=PCMU;PCMA;G726-40;G726-32;G721;L16
+# or, to use only codecs which are not CPU-intensive:
+# exclude_payloads=iLBC;speex;
+# only use G711 (exclude everything else):
+# exclude_payloads=iLBC;speex;G726-40;G726-32;G721;G726-24;G726-16;GSM;L16
+
+############################################################
+# logging and running
+
+# optional parameter: fork={yes|no}
+#
+# - specifies if sems should run in daemon mode (background)
+# (fork=no is the same as -E)
+fork=yes
+
+# optional parameter: stderr={yes|no}
+#
+# - debug mode: do not fork and log to stderr
+# (stderr=yes is the same as -E)
+stderr=no
+
+# optional parameter: loglevel={0|1|2|3}
+#
+# - sets log level (error=0, warning=1, info=2, debug=3)
+# (same as -D)
+loglevel=2
+
+# optional parameter: syslog_facility={DAEMON|USER|LOCAL[0-7]}
+#
+# - sets the log facility that is used for syslog. Using this,
+# the log can for example be filtered into a special file
+# by the syslog daemon.
+#
+# Default: DAEMON
+#
+# Example:
+# syslog_facility=LOCAL0
+
+# optional parameter: log_sessions=[yes|no]
+#
+# Default: no
+#
+# If log_sessions=yes is set, INFO level log messages are generated
+# for each session when it is started and stopped.
+#
+# log_sessions=yes
+
+# optional parameter: log_events=[yes|no]
+#
+# Default: no
+#
+# If log_eventy=yes is set, generic DBG level log messages are
+# generated for each event that is posted into an event queue.
+#
+# log_events=yes
+
+
+############################################################
+# tuning
+
+# optional parameter: media_processor_threads=<num_value>
+#
+# - controls how many threads should be created that
+# process media - on single-processor systems set this
+# parameter to 1 (default), on MP systems to a higher
+# value
+#
+# media_processor_threads=1
+
+
+# optional parameter: session_limit=<limit>;<err code>;<err reason>
+#
+# - this sets a maximum active session limit. If that limit is
+# reached, no further calls are accepted, but the error reply
+# with err code/err reason is sent out.
+#
+# Default: 0 (None)
+#
+# Example:
+# session_limit="1000;503;Server overload"
+
+# optional parameter: options_session_limit=<limit>;<err code>;<err reason>
+#
+# - this sets a custom response to OPTIONS, if the session count reaches
+# a certain limit. This way health monitor could raise an alarm to syste
+# administrator.
+#
+# Default: 0 (None)
+#
+# Example:
+# options_session_limit="900;503;Warning, server soon overloaded"
+
+
+# optional parameter: dead_rtp_time=<unsigned int>
+#
+# - if != 0, after this time (in seconds) of no RTP
+# a session is considered dead and stopped. If set
+# to 0 no check is done for rtp timeout.
+#
+# default=300 (5 minutes)
+#
+# Examples:
+# # disable RTP timeout
+# dead_rtp_time=0
+# # RTP timeout after 10 seconds
+# dead_rtp_time=10
+
+# optional parameter: use_default_signature={yes|no}
+#
+# - use a Server/User-Agent header with the SEMS server
+# signature and version.
+# Set server_signature=0 in ser_sems.cfg if you use SER
+# as SIP stack.
+#
+# default=no
+#
+use_default_signature=yes
+
+# optional parameter: signature=<signature string>
+#
+# - use a Server/User-Agent header with a custom user agent
+# signature.
+# Overridden by default signature if
+# use_default_signature is set.
+# Set server_signature=0 in ser_sems.cfg if you use it.
+#
+#
+# signature="SEMS media server 1.0"
+
+# optional parameter: single_codec_in_ok={yes|no}
+#
+# - use single codec in 200 OK response
+#
+# default=no
+#
+# single_codec_in_ok=no
+
+# optional parameter: codec_order=codec_name_1,codec_name2,...
+#
+# - Codec order used when sending INVITE requests. Codecs in codec_order
+# will be on the top of the list followed by other supported codecs
+# (if any).
+#
+# default=empty
+#
+# codec_order=iLBC,GSM
+
+# optional parameter: ignore_rtpxheaders={yes|no}
+#
+# - if this is set to yes, RTP extension headers (e.g. when using ZRTP)
+# are ignored. If set to no, the whole RTP packets with extension
+# headers will be ignored and a debug message is printed on every
+# received packet.
+#
+# default=no
+#
+# ignore_rtpxheaders=yes
+
+# optional parameter: dtmf_detector={spandsp|internal}
+#
+# sets inband DTMF detector to use. spandsp support must be compiled in
+# for this to have effect if dtmf_detector=spandsp.
+#
+# default: internal
+#
+# dtmf_detector=spandsp
+
+# optional parameter: unhandled_reply_loglevel={error|warn|info|debug|no}
+#
+# the default application logic implemented in the applications is to stop
+# the session right after sending BYE, without waiting for a reply. this
+# leads to many log entries of the form
+# ERROR: [b6fa6bb0] handleSipMsg (AmSipDispatcher.cpp:48): unhandled
+# reply: [code:200;phrase:[OK];... ]
+#
+# This parameter sets the log lovel of unhandled positive (200 class) replies.
+#
+# default: error
+#
+# unhandled_reply_loglevel=info
diff --git a/testing/sems/sems.initd b/testing/sems/sems.initd
new file mode 100644
index 000000000..9cf98a185
--- /dev/null
+++ b/testing/sems/sems.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+
+daemon=/usr/sbin/sems
+pidfile=/var/run/sems/sems.pid
+conffile=/etc/sems/sems.conf
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting sems"
+ start-stop-daemon --start --quiet --pidfile $pidfile --exec $daemon \
+ -- \
+ -u sems \
+ -g sems \
+ -P $pidfile \
+ -f $conffile
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping sems"
+ start-stop-daemon --stop --quiet --pidfile $pidfile
+ eend $?
+}
diff --git a/testing/sems/sems.post-install b/testing/sems/sems.post-install
new file mode 100644
index 000000000..cd800bdcd
--- /dev/null
+++ b/testing/sems/sems.post-install
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+mkdir -p /var/run/sems 2>/dev/null
+chown -R sems:sems /var/run/sems 2>/dev/null
+chgrp sems /etc/sems/sems.cfg 2>/dev/null
+exit 0
diff --git a/testing/sems/sems.pre-install b/testing/sems/sems.pre-install
new file mode 100644
index 000000000..3e82578a3
--- /dev/null
+++ b/testing/sems/sems.pre-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+adduser -H -h /var/empty -s /bin/false -D sems 2>/dev/null
+
+exit 0
diff --git a/testing/usb-modeswitch/APKBUILD b/testing/usb-modeswitch/APKBUILD
new file mode 100644
index 000000000..55f87034b
--- /dev/null
+++ b/testing/usb-modeswitch/APKBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=usb-modeswitch
+pkgver=1.1.2
+pkgrel=0
+_pkgdata=20100418
+pkgdesc="A mode switching tool for controlling flip flop (multiple device) USB gear"
+url="http://www.draisberghof.de/usb_modeswitch/"
+license="GPL"
+depends="tcl"
+makedepends="libusb-compat-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.draisberghof.de/usb_modeswitch/${pkgname}-${pkgver}.tar.bz2
+ http://www.draisberghof.de/usb_modeswitch/${pkgname}-data-${_pkgdata}.tar.bz2
+ http://www.draisberghof.de/usb_modeswitch/usb_modeswitch.setup"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ mkdir -p $pkgdir/lib/udev/usb_modeswitch || return 1
+ mkdir -p $pkgdir/etc || return 1
+ mkdir -p $pkgdir/usr/share/man/man1 || return 1
+ make clean || return 1
+ sed -i -e 's/--mode=/-m/' Makefile
+ cd ../${pkgname}-data-${_pkgdata}
+ sed -i -e 's%install --mode=644 -t $(ETCDIR)/usb_modeswitch.d \./usb_modeswitch.d/\*%cp -R ./usb_modeswitch.d/\* $(ETCDIR)/usb_modeswitch.d%' Makefile
+ sed -i -e 's/--mode=/-m/' Makefile
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ # adjusting the tcl script location
+ mv ${pkgdir}/lib/udev/usb_modeswitch/usb_modeswitch.tcl ${pkgdir}/lib/udev/usb_modeswitch.tcl || return 1
+ rmdir ${pkgdir}/lib/udev/usb_modeswitch || return 1
+ mv ${pkgdir}/lib/udev/usb_modeswitch.tcl ${pkgdir}/lib/udev/usb_modeswitch || return 1
+
+ # installing data
+ cd $srcdir/usb-modeswitch-data-${_pkgdata} || return 1
+ make DESTDIR=$pkgdir install || return 1
+ # installing config
+ cp $srcdir/usb_modeswitch.setup $pkgdir/etc/ || return 1
+}
+
+md5sums="071cb300d00938bfe20025c654303d92 usb-modeswitch-1.1.2.tar.bz2
+659c9633513fa2f84465244a50c351b3 usb-modeswitch-data-20100418.tar.bz2
+9a25756669937ac86774bb55733f09cd usb_modeswitch.setup"